Dart教程(一):dart安装

顺心 等级 155 0 0

一、安装dart sdk

brew tap dart-lang/dart
brew install dart 

二、安装VSCode

去官网下载即可

三、安装dart插件

dart插件

四、安装code runner插件

code runner

code runner:

CodeRunner是一款轻量级,可以编写和运行多种语言的编辑器,它不需要安装额外的语言环境就可以执行多种语言代码,如果开发者想要测试一段代码或者一个API具体的功能,用Xcode未免过于麻烦,而CodeRunner却恰巧弥补了Xcode在这方面的欠缺。开发者只需要在CodeRunner中编写一个短小的代码片段,即可测试代码和API的具体功能。
此外,CodeRunner能加快开发者的编程速度,所以开发者可以在很短的时间内完成代码编写工作,通过CodeRunner测试无误后,就可以把它拷贝回Xcode的项目中,极大地提高了开发者的工作效率。

结果:

运行结果

Dart更新

1.查看dart的安装位置

caoxkdeMacBook-Pro:~ caoxk$ brew list dart
/usr/local/Cellar/dart/2.1.0/bin/dart
/usr/local/Cellar/dart/2.1.0/bin/dart2js
/usr/local/Cellar/dart/2.1.0/bin/dartanalyzer
/usr/local/Cellar/dart/2.1.0/bin/dartdevc
/usr/local/Cellar/dart/2.1.0/bin/dartdevk
/usr/local/Cellar/dart/2.1.0/bin/dartdoc
/usr/local/Cellar/dart/2.1.0/bin/dartfmt
/usr/local/Cellar/dart/2.1.0/bin/pub
/usr/local/Cellar/dart/2.1.0/libexec/bin/ (69 files)
/usr/local/Cellar/dart/2.1.0/libexec/include/ (3 files)
/usr/local/Cellar/dart/2.1.0/libexec/lib/ (252 files)
/usr/local/Cellar/dart/2.1.0/libexec/ (3 files)
caoxkdeMacBook-Pro:~ caoxk$ 

2.SDK处理
将下载好的sdk解压缩,修改文件夹名字,放入到上一步骤中对应的路径中:
文件夹名字要修改成对应的版本号,这要才能使用命令号切换版本。如果旧版本不想使用,直接删掉即可

image.png

3.切换版本

caoxkdeMacBook-Pro:~ caoxk$ brew switch dart 2.4.0
Cleaning /usr/local/Cellar/dart/2.4.0
Cleaning /usr/local/Cellar/dart/2.1.0
40 links created for /usr/local/Cellar/dart/2.4.0
caoxkdeMacBook-Pro:~ caoxk$ 

4.查看当前版本

caoxkdeMacBook-Pro:~ caoxk$ dart --version
Dart VM version: 2.4.0 (Wed Jun 19 11:53:45 2019 +0200) on "macos_x64"
caoxkdeMacBook-Pro:~ caoxk$ 

搞定

本文转自 https://www.jianshu.com/p/ff56d12a4a55,如有侵权,请联系删除。

预览图
收藏
评论区